OAuthException class

- « OAuthProvider::tokenHandler

- SOAP »

- PHP Manual
- OAuth
- OAuthException class

# OAuthException class

(PECL OAuth >= 0.99.1)

## Introduction

This exception is thrown when exceptional errors occur while using the OAuth extension and contains useful debugging information.

## Class synopsis

class OAuthException extends Exception {
/* Properties */
public $lastResponse;
public $debugInfo;
/* Inherited properties */
protected string $message = "";
private string $string = "";
protected int $code;
protected string $file = "";
protected int $line;
private array $trace = [];
private ?Throwable $previous = null;
/* Inherited methods */
final public Exception::getMessage(): string
final public Exception::getPrevious(): ?Throwable
final public Exception::getCode(): int
final public Exception::getFile(): string
final public Exception::getLine(): int
final public Exception::getTrace(): array
final public Exception::getTraceAsString(): string
public Exception::__toString(): string
private Exception::__clone(): void
}

## Properties

lastResponse

  The response of the exception which occurred, if any

debugInfo